Album: Psycholonials EP 7
Artists:
- Clark Powell
Date: March 31, 2021
Date Added: April 12, 2021
Cover Artists:
- Andrew Hussie
Cover Art File Extension: png
Color: '#f51806'
Groups:
- Psycholonials
- Beyond
Banner Artists:
- Andrew Hussie
- Niklink (edits for wiki)
Banner Dimensions: 1100x180
Banner File Extension: png
Wallpaper Style: |-
    opacity: 0.65;
    image-rendering: pixelated;
    image-rendering: crisp-edges;
Wallpaper File Extension: png
Wallpaper Artists:
- Andrew Hussie
- Niklink (edits for wiki)
Listed in Galleries: false
Additional Files:
- Title: Bandcamp Banner
  Files:
  - banner.png
---
Track: The March
Duration: 2:46
URLs:
- https://psycholonials.bandcamp.com/track/the-march-2
- https://www.youtube.com/watch?v=RSd3eMV7B58
- https://open.spotify.com/track/1CuKshuD0soQDmBxRr3tTh
Referenced Tracks:
- Voice I Never Heard
---
Track: Such A Shame
Originally Released As: track:miranda-we-are-all-satellites
Duration: 3:25
URLs:
- https://psycholonials.bandcamp.com/track/such-a-shame-2
- https://www.youtube.com/watch?v=IqTodCDs2P4
- https://open.spotify.com/track/1XksnO0m84cUh7PFuhiSsT
---
Track: Break This
Duration: 1:21
URLs:
- https://psycholonials.bandcamp.com/track/break-this-2
- https://www.youtube.com/watch?v=nfDlmMBkXDE
- https://open.spotify.com/track/1ZaBg1nL9hJ8uVLfJEuFtk
